Results 1 to 4 of 4

Thread: installing packages "zlib-devel" and "ncurses-devel"

  1. #1
    Join Date
    Dec 2009
    Location
    Slovenia
    Beans
    108
    Distro
    Ubuntu 10.10 Maverick Meerkat

    installing packages "zlib-devel" and "ncurses-devel"

    Hello!

    I wanted to install packages "zlib.devel" and "ncurses-devel", but when i insert following commands,
    Code:
    sudo apt-get install ncurses-devel
    Code:
    sudo apt-get install zlib-devel
    terminal in both cases returns,
    Code:
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    E: Unable to locate package zlib-devel
    .

    This means it cant find them, so i went browsing and found both of them,
    http://ftp.gnu.org/pub/gnu/ncurses/
    http://www.zlib.net/.

    I downloaded them and i got 2 files,
    Code:
    ncurses-5.7.tar.gz
    Code:
    zlib-1.2.5.tar.bz2

    My question is how to install those 2?



    Thank you!
    student 4. grade, Fi/Te, PeF-Ljubljana

  2. #2
    Join Date
    Feb 2010
    Location
    Chicago metro
    Beans
    1,310
    Distro
    Ubuntu Development Release

    Re: installing packages "zlib-devel" and "ncurses-devel"

    how about
    Code:
    sudo apt-get install zlib1g-dev libncurses5-dev
    ?
    If this helped you, please take the time to rate the value of this post:
    http://rate.affero.net/andrewthomas/

  3. #3
    Join Date
    Dec 2009
    Location
    Slovenia
    Beans
    108
    Distro
    Ubuntu 10.10 Maverick Meerkat

    Re: installing packages "zlib-devel" and "ncurses-devel"

    OK this worked! TY andrewtomas

    I really have to complain about something. When i tried to install 3rd party program terminal said i need zlib-devel and ncurses-devel and not ncurses-dev and zlib-dev...

    Is it sooooo hard to specify exact packages name omg?!
    student 4. grade, Fi/Te, PeF-Ljubljana

  4. #4
    Join Date
    Aug 2009
    Location
    India
    Beans
    Hidden!
    Distro
    Ubuntu Mate 16.04 Xenial Xerus

    Re: installing packages "zlib-devel" and "ncurses-devel"

    Try apt-get update and then install the packages,

    Code:
    sudo apt-get update

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •